VirtualBox

Changeset 43365 in vbox for trunk/src


Ignore:
Timestamp:
Sep 20, 2012 12:18:39 PM (12 years ago)
Author:
vboxsync
Message:

Installer/linux: less sed for generating installer bits.

Location:
trunk/src/VBox/Installer/linux
Files:
4 edited
3 moved

Legend:

Unmodified
Added
Removed
  • trunk/src/VBox/Installer/linux/Makefile.kmk

    r42423 r43365  
    3434VBOX_LNX_INST_OUT_DIR   := $(PATH_TARGET)/Installer/linux
    3535VBOX_LNX_INST_STAGE_DIR := $(PATH_TARGET)/Installer/linux/install
     36VBOX_LNX_INST_STAGE_DIR_REL := obj/Installer/linux/install
    3637VBOX_LNX_DBG_PATH       := usr/lib/debug/opt/VirtualBox
    3738VBOX_LNX_PACKAGE_NAME    = VirtualBox-$(VBOX_VERSION_STRING)-r$(VBOX_SVN_REV).run
     
    5051        $(addprefix $(VBOX_LNX_INST_STAGE_DIR)/,\
    5152                install.sh \
    52                 uninstall.sh \
    53                 deffiles \
    54                 routines.sh \
    55                 vboxautostart-service.sh \
    56                 vboxballoonctrl-service.sh \
    5753                vboxdrv.sh \
    58                 vboxweb-service.sh \
    5954                VirtualBox.tar.bz2 \
    6055                LICENSE) \
    6156        $(wildcard $(VBOX_LNX_INST_OUT_DIR)/VirtualBox-*) \
    6257        $(addprefix $(VBOX_LNX_INST_OUT_DIR)/,\
    63                 vboxballoonctrl-service.sh \
    6458                vboxdrv.sh \
    65                 vboxweb-service.sh \
    6659                install.sh)
    6760
     
    7770        VBox.sh=>VBox.sh \
    7871        $(if $(VBOX_WITH_PYTHON),$(PATH_ROOT)/src/VBox/Frontends/VBoxShell/vboxshell.py=>vboxshell.py,)
     72
     73INSTALLS += linux-scripts
     74linux-scripts_INST = $(VBOX_LNX_INST_STAGE_DIR_REL)/
     75linux-scripts_MODE = a+rx,u+w
     76linux-scripts_SOURCES = \
     77                deffiles \
     78                routines.sh \
     79                uninstall.sh \
     80        vboxautostart-service.sh \
     81                vboxballoonctrl-service.sh \
     82                vboxdrv-pardus.py \
     83                vboxweb-service.sh
    7984
    8085INSTALLS += linux-misc
     
    316321               $(addprefix $(VBOX_LNX_INST_OUT_DIR)/archive-dbg/$(VBOX_LNX_DBG_PATH)/,$(VBOX_LNX_STRIP_BIN))
    317322
    318 
    319323#
    320324# The generic installer.
     
    323327                $(VBOX_LNX_INST_STAGE_DIR)/VirtualBox.tar.bz2 \
    324328                $(VBOX_VERSION_STAMP) \
    325                 $(VBOX_PATH_LNX_INST_SRC)/routines.sh \
    326                 $(VBOX_PATH_LNX_INST_SRC)/deffiles \
    327329                $(if $(VBOX_OSE),,$(VBOX_BRAND_LICENSE_TXT)) \
    328                 $(VBOX_LNX_INST_OUT_DIR)/vboxautostart-service.sh \
    329                 $(VBOX_LNX_INST_OUT_DIR)/vboxballoonctrl-service.sh \
    330330                $(VBOX_LNX_INST_OUT_DIR)/vboxdrv.sh \
    331                 $(VBOX_LNX_INST_OUT_DIR)/vboxweb-service.sh \
    332331                $(VBOX_LNX_INST_OUT_DIR)/install.sh \
    333332                $(VBOX_PATH_LNX_INST_SRC)/installer-common.sh \
    334                 $(VBOX_PATH_LNX_INST_SRC)/vboxdrv-pardus.py \
    335                 $(VBOX_PATH_LNX_INST_SRC)/uninstall.sh
     333                $$(linux-scripts_2_STAGE_TARGETS)
    336334        $(call MSG_TOOL,makeself,,$@)
    337335        $(QUIET)$(RM) -f $(wildcard $(PATH_STAGE_BIN)/VirtualBox-*.run)
    338         $(QUIET)$(INSTALL) -m 0755 $(VBOX_PATH_LNX_INST_SRC)/routines.sh          $(VBOX_LNX_INST_STAGE_DIR)/
    339         $(QUIET)$(INSTALL) -m 0755 $(VBOX_PATH_LNX_INST_SRC)/deffiles             $(VBOX_LNX_INST_STAGE_DIR)/
    340336        $(QUIET)$(if $(VBOX_OSE),,$(INSTALL) -m 0644 $(VBOX_BRAND_LICENSE_TXT)    $(VBOX_LNX_INST_STAGE_DIR)/LICENSE)
    341         $(QUIET)$(INSTALL) -m 0755 $(VBOX_LNX_INST_OUT_DIR)/vboxautostart-service.sh $(VBOX_LNX_INST_STAGE_DIR)/
    342         $(QUIET)$(INSTALL) -m 0755 $(VBOX_LNX_INST_OUT_DIR)/vboxballoonctrl-service.sh $(VBOX_LNX_INST_STAGE_DIR)/
    343337        $(QUIET)$(INSTALL) -m 0755 $(VBOX_LNX_INST_OUT_DIR)/vboxdrv.sh            $(VBOX_LNX_INST_STAGE_DIR)/
    344         $(QUIET)$(INSTALL) -m 0755 $(VBOX_LNX_INST_OUT_DIR)/vboxweb-service.sh    $(VBOX_LNX_INST_STAGE_DIR)/
    345         $(QUIET)$(INSTALL) -m 0755 $(VBOX_PATH_LNX_INST_SRC)/vboxdrv-pardus.py    $(VBOX_LNX_INST_STAGE_DIR)/
    346338        $(QUIET)$(INSTALL) -m 0755 $(VBOX_LNX_INST_OUT_DIR)/install.sh            $(VBOX_LNX_INST_STAGE_DIR)/
    347         $(QUIET)$(INSTALL) -m 0755 $(VBOX_PATH_LNX_INST_SRC)/uninstall.sh         $(VBOX_LNX_INST_STAGE_DIR)/
    348339        $(QUIET)$(RM) -f $@
    349340        $(QUIET)$(VBOX_MAKESELF) --follow --nocomp $(VBOX_LNX_INST_STAGE_DIR) $@ \
     
    351342
    352343# files that needs editing before they can be included in the generic installer.
    353 $(VBOX_LNX_INST_OUT_DIR)/vboxautostart-service.sh: $(VBOX_PATH_LNX_INST_SRC)/vboxautostart-service.sh.in | $$(dir $$@)
    354         $(QUIET)$(SED_EXT) \
    355                 -e "s|%NOLSB%|yes|g" \
    356                 -e "s|%DEBIAN%||g" \
    357                 -e "s|%PACKAGE%|virtualbox|g" \
    358                 -e "s|%VERSION%|$(VBOX_VERSION_STRING)|g" \
    359                 --output $@ \
    360                 $<
    361 
    362 $(VBOX_LNX_INST_OUT_DIR)/vboxballoonctrl-service.sh: $(VBOX_PATH_LNX_INST_SRC)/vboxballoonctrl-service.sh.in | $$(dir $$@)
    363         $(QUIET)$(SED_EXT) \
    364                 -e "s|%NOLSB%|yes|g" \
    365                 -e "s|%DEBIAN%||g" \
    366                 -e "s|%PACKAGE%|virtualbox|g" \
    367                 -e "s|%VERSION%|$(VBOX_VERSION_STRING)|g" \
    368                 --output $@ \
    369                 $<
    370 
    371344$(VBOX_LNX_INST_OUT_DIR)/vboxdrv.sh: $(VBOX_PATH_LNX_INST_SRC)/vboxdrv.sh.in | $$(dir $$@)
    372345        $(QUIET)$(SED_EXT) \
     
    376349                -e "s|%VERSION%|$(VBOX_VERSION_STRING)|g" \
    377350                -e "s|%GROUP%|$(if $(VBOX_WITHOUT_HARDENING),vboxusers,root)|g" \
    378                 --output $@ \
    379                 $<
    380 
    381 $(VBOX_LNX_INST_OUT_DIR)/vboxweb-service.sh: $(VBOX_PATH_LNX_INST_SRC)/vboxweb-service.sh.in | $$(dir $$@)
    382         $(QUIET)$(SED_EXT) \
    383                 -e "s|%NOLSB%|yes|g" \
    384                 -e "s|%DEBIAN%||g" \
    385                 -e "s|%PACKAGE%|virtualbox|g" \
    386351                --output $@ \
    387352                $<
  • trunk/src/VBox/Installer/linux/debian/rules

    r43122 r43365  
    331331            $(vboxroot)/src/VBox/Installer/linux/vboxdrv.sh.in > debian/vboxdrv.init
    332332        dh_installinit --name=vboxdrv --noscripts
    333         sed \
    334             -e 's|%NOLSB%||g' \
    335             -e 's|%DEBIAN%|yes|g' \
    336             -e 's|%PACKAGE%|virtualbox|g' \
    337             $(vboxroot)/src/VBox/Installer/linux/vboxballoonctrl-service.sh.in > debian/vboxballoonctrl-service.init
     333        cp $(vboxroot)/src/VBox/Installer/linux/vboxballoonctrl-service.sh debian/vboxballoonctrl-service.init
    338334        dh_installinit --name=vboxballoonctrl-service --noscripts
    339         sed \
    340             -e 's|%NOLSB%||g' \
    341             -e 's|%DEBIAN%|yes|g' \
    342             -e 's|%PACKAGE%|virtualbox|g' \
    343             $(vboxroot)/src/VBox/Installer/linux/vboxautostart-service.sh.in > debian/vboxautostart-service.init
     335        cp $(vboxroot)/src/VBox/Installer/linux/vboxautostart-service.sh debian/vboxautostart-service.init
    344336        dh_installinit --name=vboxautostart-service --noscripts
    345         sed \
    346             -e 's|%NOLSB%||g' \
    347             -e 's|%DEBIAN%|yes|g' \
    348             -e 's|%PACKAGE%|virtualbox|g' \
    349             $(vboxroot)/src/VBox/Installer/linux/vboxweb-service.sh.in > debian/vboxweb-service.init
     337        cp $(vboxroot)/src/VBox/Installer/linux/vboxweb-service.sh debian/vboxweb-service.init
    350338        dh_installinit --name=vboxweb-service --noscripts
    351339        sed -e 's|%VER%|$(debver)|g' \
  • trunk/src/VBox/Installer/linux/rpm/rules

    r43122 r43365  
    228228            -e "s|%GROUP%|$(if $(VBOX_WITHOUT_HARDENING),vboxusers,root)|g" \
    229229            vboxdrv.sh.in > $(archdir)/vboxdrv.init
    230         sed \
    231             -e 's|%NOLSB%|yes|g' \
    232             -e 's|%DEBIAN%||g' \
    233             -e 's|%PACKAGE%|virtualbox|g' \
    234             vboxballoonctrl-service.sh.in > $(archdir)/vboxballoonctrl-service.init
    235         sed \
    236             -e 's|%NOLSB%|yes|g' \
    237             -e 's|%DEBIAN%||g' \
    238             -e 's|%PACKAGE%|virtualbox|g' \
    239             vboxautostart-service.sh.in > $(archdir)/vboxautostart-service.init
    240         sed \
    241             -e 's|%NOLSB%|yes|g' \
    242             -e 's|%DEBIAN%||g' \
    243             -e 's|%PACKAGE%|virtualbox|g' \
    244             vboxweb-service.sh.in > $(archdir)/vboxweb-service.init
     230        cp vboxballoonctrl-service.sh $(archdir)/vboxballoonctrl-service.init
     231        cp vboxautostart-service.sh $(archdir)/vboxautostart-service.init
     232        cp vboxweb-service.sh $(archdir)/vboxweb-service.init
    245233        cp debian/VBox.sh $(archdir)
    246234        mv rpm/VirtualBox-$(ver) rpm/$(rpmname)
  • trunk/src/VBox/Installer/linux/vboxautostart-service.sh

    r43347 r43365  
    2727
    2828PATH=$PATH:/bin:/sbin:/usr/sbin
    29 DEBIAN=%DEBIAN%
    30 NOLSB=%NOLSB%
    31 
    32 [ -f /lib/lsb/init-functions ] || NOLSB=yes
     29
     30[ -f /etc/debian_release -a -f /lib/lsb/init-functions ] || NOLSB=yes
    3331[ -f /etc/vbox/vbox.cfg ] && . /etc/vbox/vbox.cfg
    3432
     
    3634    binary="$INSTALL_DIR/VBoxAutostart"
    3735else
    38     binary="/usr/lib/%PACKAGE%/VBoxAutostart"
     36    binary="/usr/lib/virtualbox/VBoxAutostart"
    3937fi
    4038
    4139# silently exit if the package was uninstalled but not purged,
    42 # applies to Debian packages only
    43 [ -z "$DEBIAN" -o -x $binary ] || exit 0
    44 
    45 [ -r /etc/default/%PACKAGE% ] && . /etc/default/%PACKAGE%
     40# applies to Debian packages only (but shouldn't hurt elsewhere)
     41[ ! -f /etc/debian_release -o -x $binary ] || exit 0
     42
     43[ -r /etc/default/virtualbox ] && . /etc/default/virtualbox
    4644
    4745system=unknown
  • trunk/src/VBox/Installer/linux/vboxballoonctrl-service.sh

    r43347 r43365  
    2727
    2828PATH=$PATH:/bin:/sbin:/usr/sbin
    29 DEBIAN=%DEBIAN%
    30 NOLSB=%NOLSB%
    31 
    32 [ -f /lib/lsb/init-functions ] || NOLSB=yes
     29
     30[ -f /lib/lsb/init-functions -a -f /etc/debian_release ] || NOLSB=yes
    3331[ -f /etc/vbox/vbox.cfg ] && . /etc/vbox/vbox.cfg
    3432
     
    3634    binary="$INSTALL_DIR/VBoxBalloonCtrl"
    3735else
    38     binary="/usr/lib/%PACKAGE%/VBoxBalloonCtrl"
     36    binary="/usr/lib/virtualbox/VBoxBalloonCtrl"
    3937fi
    4038
    4139# silently exit if the package was uninstalled but not purged,
    42 # applies to Debian packages only
    43 [ -z "$DEBIAN" -o -x $binary ] || exit 0
    44 
    45 [ -r /etc/default/%PACKAGE% ] && . /etc/default/%PACKAGE%
     40# applies to Debian packages only (but shouldn't hurt elsewhere)
     41[ ! -f /etc/debian_release -o -x $binary ] || exit 0
     42
     43[ -r /etc/default/virtualbox ] && . /etc/default/virtualbox
    4644
    4745system=unknown
  • trunk/src/VBox/Installer/linux/vboxdrv.sh.in

    r39358 r43365  
    3030DEVICE=/dev/vboxdrv
    3131LOG="/var/log/vbox-install.log"
    32 NOLSB=%NOLSB%
    33 DEBIAN=%DEBIAN%
    34 VERSION=%VERSION%
    3532MODPROBE=/sbin/modprobe
    3633
     
    3936fi
    4037
    41 [ -f /lib/lsb/init-functions ] || NOLSB=yes
    42 [ -f /etc/vbox/vbox.cfg ] && . /etc/vbox/vbox.cfg
     38[ -f /etc/debian_release -a -f /lib/lsb/init-functions ] || NOLSB=yes
     39if [ ! -f /etc/vbox/vbox.cfg ]; then
     40    echo "/etc/vbox/vbox.cfg not found"  # Fiddle this and do it nicely.
     41    exit 1
     42fi
     43. /etc/vbox/vbox.cfg
    4344export BUILD_TYPE
    4445export USERNAME
     
    4950    MODULE_SRC="$INSTALL_DIR/src/vboxhost"
    5051else
    51     VBOXMANAGE="/usr/lib/%PACKAGE%/VBoxManage"
    52     MODULE_SRC="/usr/share/%PACKAGE%/src/vboxhost"
     52    VBOXMANAGE="/usr/lib/virtualbox/VBoxManage"
     53    MODULE_SRC="/usr/share/virtualbox/src/vboxhost"
    5354fi
    5455BUILDINTMP="$MODULE_SRC/build_in_tmp"
     
    5657
    5758# silently exit if the package was uninstalled but not purged,
    58 # applies to Debian packages only
    59 [ -z "$DEBIAN" -o -x $VBOXMANAGE -a -x $BUILDINTMP ] || exit 0
     59# applies to Debian packages only (but shouldn't hurt elsewhere)
     60[ ! -f /etc/debian_release -o -x $VBOXMANAGE -a -x $BUILDINTMP ] || exit 0
    6061
    6162if [ -n "$NOLSB" ]; then
     
    6970fi
    7071
    71 [ -r /etc/default/%PACKAGE% ] && . /etc/default/%PACKAGE%
     72[ -r /etc/default/virtualbox ] && . /etc/default/virtualbox
    7273
    7374if [ -z "$NOLSB" ]; then
     
    248249}
    249250
    250 # enter the following variables in /etc/default/%PACKAGE%:
     251# enter the following variables in /etc/default/virtualbox:
    251252#   SHUTDOWN_USERS="foo bar" 
    252253#     check for running VMs of user foo and user bar
     
    323324    fi
    324325    begin_msg "Trying to register the VirtualBox kernel modules using DKMS"
    325     if ! $DODKMS install vboxhost $VERSION >> $LOG; then
     326    if ! $DODKMS install vboxhost $INSTALL_VER >> $LOG; then
    326327      fail_msg "Failed, trying without DKMS"
    327328      begin_msg "Recompiling VirtualBox kernel modules"
  • trunk/src/VBox/Installer/linux/vboxweb-service.sh

    r43347 r43365  
    2727
    2828PATH=$PATH:/bin:/sbin:/usr/sbin
    29 DEBIAN=%DEBIAN%
    30 NOLSB=%NOLSB%
    31 
    32 [ -f /lib/lsb/init-functions ] || NOLSB=yes
     29
     30[ -f /etc/debian_release -a -f /lib/lsb/init-functions ] || NOLSB=yes
    3331[ -f /etc/vbox/vbox.cfg ] && . /etc/vbox/vbox.cfg
    3432
     
    3735    vboxmanage="$INSTALL_DIR/VBoxManage"
    3836else
    39     binary="/usr/lib/%PACKAGE%/vboxwebsrv"
    40     vboxmanage="/usr/lib/%PACKAGE%/VBoxManage"
     37    binary="/usr/lib/virtualbox/vboxwebsrv"
     38    vboxmanage="/usr/lib/virtualbox/VBoxManage"
    4139fi
    4240
    4341# silently exit if the package was uninstalled but not purged,
    44 # applies to Debian packages only
    45 [ -z "$DEBIAN" -o -x $binary ] || exit 0
    46 
    47 [ -r /etc/default/%PACKAGE% ] && . /etc/default/%PACKAGE%
     42# applies to Debian packages only (but shouldn't hurt elsewhere)
     43[ ! -f /etc/debian_release -o -x $binary ] || exit 0
     44
     45[ -r /etc/default/virtualbox ] && . /etc/default/virtualbox
    4846
    4947system=unknown
Note: See TracChangeset for help on using the changeset viewer.

© 2024 Oracle Support Privacy / Do Not Sell My Info Terms of Use Trademark Policy Automated Access Etiquette